=== debian/changelog ===
freetds (1.5.5+ds-1) unstable; urgency=medium

  * New upstream version 1.5.5+ds

 -- Joseph Nahmias <jello@debian.org>  Sat, 30 Aug 2025 22:40:49 -0400
