=== debian/tests/control ===
Tests:
 libtests,
Depends:
 freetds-dev,
 gcc,
 libc6-dev | libc-dev,
Restrictions:
 superficial,
